## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global gem_name puppetserver-ca

Name: rubygem-%{gem_name}
Version: 2.7.0
Release: 1%{?dist}
Summary: A simple CLI tool for interacting with Puppet Server's Certificate Authority
License: Apache-2.0
URL: https://github.com/puppetlabs/puppetserver-ca-cli/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A simple CLI tool for interacting with Puppet Server's Certificate Authority.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

install -p -D -m 0755 .%{_bindir}/puppetserver-ca %{buildroot}%{_libexecdir}/puppetserver/apps/ca

# https://github.com/puppetlabs/puppetserver-ca-cli/pull/123
sed -i -e '/[Bb]undler/d' -e '/^# /d' %{buildroot}%{gem_instdir}/exe/puppetserver-ca

# https://github.com/puppetlabs/puppetserver-ca-cli/pull/122
rm -r \
  %{buildroot}%{gem_instdir}/.github \
  %{buildroot}%{gem_instdir}/.gitignore \
  %{buildroot}%{gem_instdir}/.rspec \
  %{buildroot}%{gem_instdir}/.travis.yml \
  %{buildroot}%{gem_instdir}/CODEOWNERS \
  %{buildroot}%{gem_instdir}/CODE_OF_CONDUCT.md \
  %{buildroot}%{gem_instdir}/Gemfile \
  %{buildroot}%{gem_instdir}/Rakefile \
  %{buildroot}%{gem_instdir}/bin

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%files
%{_libexecdir}/puppetserver/apps/ca
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/puppetserver-ca.gemspec

%changelog
## START: Generated by rpmautospec
* Fri Aug 09 2024 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.7.0-2
- Uncommitted changes

* Fri Aug 09 2024 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 2.7.0-1
- Initial package
## END: Generated by rpmautospec
